// file: $isip/util/speech/isip_extract_hyp0/isip_extract_hypo.h
// version: $Id: isip_extract_hypo.h 9164 2003-05-26 23:20:37Z parihar $
//
// this is the header file for the isip_extract_hypo utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_EXTRACT_HYPO
#define ISIP_UTIL_EXTRACT_HYPO

// isip include files
//
#include <CommandLine.h>
#include <TranscriptionDatabase.h>

static const String PROG_NAME(L"isip_extract_hypo");
static const String OPTION_TRANSCRIPTION_LEVEL(L"level");
static const String OPTION_HYPOTHESES_FORMAT(L"format");
static const String OPTION_OUTPUT_FILE(L"output");
static const String OPTION_IDENTIFIER_LIST(L"list");
static const String OPTION_FLAG_ALIGNMENT(L"alignment");
static const String OPTION_EXCLUDE_SYMBOLS(L"exclude_symbols");

static const String HYPOTHESES_FORMAT_NIST_TRN(L"NIST_TRN");
static const String HYPOTHESES_FORMAT_HYP_ALIGN(L"HYP_ALIGN");

static const String OPTION_DEBUG_LEVEL(L"debug_level");
static const String OPTION_LOG_FILE(L"log_file");

static const String EMPTY(String::NULL_STRING);
static const String LOG_FILE_DEFAULT(L"-");
static const Integral::DEBUG DEBUG_LEVEL_DEFAULT=Integral::NONE;

// end of file
//
#endif
